---
title: securePasswordKdfAlgoPBKDF2HMACSHA512iter100000
description: PBKDF2 with SHA512 and 100000 iterations KDF algo
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: securePasswordKdfAlgoPBKDF2HMACSHA512iter100000  
[Back to constructors index](index.md)



PBKDF2 with SHA512 and 100000 iterations KDF algo

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|salt|[bytes](../types/bytes.md) | Yes|Salt|



### Type: [SecurePasswordKdfAlgo](../types/SecurePasswordKdfAlgo.md)


### Example:

```php
$securePasswordKdfAlgoPBKDF2HMACSHA512iter100000 = ['_' => 'securePasswordKdfAlgoPBKDF2HMACSHA512iter100000', 'salt' => 'bytes'];
```  


Or, if you're into Lua:

```lua
securePasswordKdfAlgoPBKDF2HMACSHA512iter100000={_='securePasswordKdfAlgoPBKDF2HMACSHA512iter100000', salt='bytes'}

```


